Bug 1720141 - Satellite clone should leverage the foreman-maintain restore instead of implementing it's own restore procedure
Summary: Satellite clone should leverage the foreman-maintain restore instead of imple...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Satellite Clone
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.7.0
Assignee: Jonathon Turel
QA Contact: Vladimír Sedmík
URL:
Whiteboard:
Depends On: 1780727
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-13 08:43 UTC by Ivan Necas
Modified: 2020-04-14 13:25 UTC (History)
2 users (show)

Fixed In Version: satellite-clone-1.5.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:24:36 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 27808 Normal New Use foreman-maintain to restore backup 2020-03-12 08:17:17 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:24:59 UTC

Internal Links: 1716322

Description Ivan Necas 2019-06-13 08:43:37 UTC
Description of problem:
During investigation and fixing https://bugzilla.redhat.com/show_bug.cgi?id=1716322, we're noticed that the satellite-clone is using it's own restore procedure, which has the following consequences:

1. any fix and enhancement in backup/restore needs to be done twice, or we risk incompatibilities 
2. it would not work with remote databases

Comment 3 Jonathon Turel 2019-09-09 17:28:16 UTC
Created redmine issue https://projects.theforeman.org/issues/27808 from this bug

Comment 6 Vladimír Sedmík 2019-12-06 18:19:11 UTC
Adding dependence on 1780727 as the restore must succeed to ensure the foreman-maintain restore works in the clone scenario.

Comment 10 errata-xmlrpc 2020-04-14 13:24:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.